import React, { useState, useCallback } from 'react';
import ReactDOM from 'react-dom';
import {csv} from 'd3';


const csvUrl = "https://gist.githubusercontent.com/vigneswaran009/ce1a77b3ad169bf9eb85af12d641281a/raw/CssNamedColors.csv";
const width = 960;
const height = 500;

const message = data => {
        let message = '';
     message = message + Math.round(d3.csvFormat(data).length / 1024) + ' kB\n';
     message = message + data.length + ' rows\n';
     message = message + data.columns.length + ' columns\n';
    return message;
}

const App = () => {
  
  const [data, setData] = useState(null);
  
  
   csv(csvUrl).then(data=>{
     
     setData(data);
     

   });

  return <pre>Data is : {data ? message(data): 'loading'}</pre>;
  
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);